> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/sto-data-frontend.md).

# STO Data Frontend

Endpoints that power the other modules micro-frontend with STO data

## Distinct filter values for selected targets and variants

> Provides the distinct set of filter values (severity, scanner, target, issueType) available for the issues produced by the provided target name and variant combinations. Variant name may be empty, in which case the target's baseline variant is used.

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"ExecutionArtifactSummaryRequestBody":{"type":"object","properties":{"artifactFingerprints":{"type":"array","items":{"type":"string","maxLength":64},"description":"Artifact fingerprints for lookup","maxItems":100},"targetVariants":{"type":"array","items":{"$ref":"#/components/schemas/TargetAndVariantNameRequired"},"description":"Target-variant pairs for lookup","maxItems":100}}},"TargetAndVariantNameRequired":{"type":"object","properties":{"targetName":{"type":"string","description":"Target name"},"targetType":{"type":"string","description":"Type of target","enum":["container","repository","instance","configuration"]},"targetVariantName":{"type":"string","description":"Variant name"}},"required":["targetName","targetVariantName"]},"STODataFrontendAllIssuesFiltersResponseBody":{"$ref":"#/components/schemas/AllIssuesFiltersResultV2"},"AllIssuesFiltersResultV2":{"type":"object","properties":{"issueTypes":{"type":"array","items":{"type":"string"},"description":"Distinct issue types present in the matching issues"},"scanners":{"type":"array","items":{"type":"string"},"description":"Distinct scanner (product) names present in the matching issues"},"severities":{"type":"array","items":{"type":"string"},"description":"Distinct severity codes present in the matching issues"},"targets":{"type":"array","items":{"type":"string"},"description":"Distinct target names present in the matching issues"}},"description":"Distinct filter values available for the issues produced by the requested target and variant combinations","required":["severities","scanners","targets","issueTypes"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/all-issues/filters":{"post":{"description":"Provides the distinct set of filter values (severity, scanner, target, issueType) available for the issues produced by the provided target name and variant combinations. Variant name may be empty, in which case the target's baseline variant is used.","operationId":"STO Data Frontend#AllIssuesFilters","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionArtifactSummaryRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/STODataFrontendAllIssuesFiltersResponseBody"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"summary":"Distinct filter values for selected targets and variants","tags":["STO Data Frontend"]}}}}
```

## List of issues for selected targets and variants

> Provides a paginated list of issues for the provided target name and variant combinations

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"AllIssuesListRequestBody":{"type":"object","properties":{"artifactFingerprints":{"type":"array","items":{"type":"string","maxLength":64},"description":"Artifact fingerprints for lookup","maxItems":100},"issueTypes":{"type":"string","pattern":"^(SAST|DAST|SCA|IAC|SECRET|MISCONFIG|BUG_SMELLS|CODE_SMELLS|CODE_COVERAGE|EXTERNAL_POLICY)(,SAST|,DAST|,SCA|,IAC|,SECRET|,MISCONFIG|,BUG_SMELLS|,CODE_SMELLS|,CODE_COVERAGE|,EXTERNAL_POLICY)*$"},"page":{"type":"integer","description":"Page number to fetch (starting from 0)","default":0,"format":"int64","minimum":0},"pageSize":{"type":"integer","description":"Number of results per page","default":30,"format":"int64","minimum":1,"maximum":100},"scanTools":{"type":"string","pattern":"^[a-zA-Z0-9](?:[a-zA-Z0-9 ._-]*[a-zA-Z0-9])?(?:,[a-zA-Z0-9](?:[a-zA-Z0-9 ._-]*[a-zA-Z0-9])?)*$"},"search":{"type":"string","maxLength":256},"severityCodes":{"type":"string","pattern":"^(Critical|High|Medium|Low|Info)(,Critical|,High|,Medium|,Low|,Info)*$"},"targetNames":{"type":"string","pattern":"^([a-zA-Z0-9/_-]+)(,[a-zA-Z0-9/_-]+)*$"},"targetTypes":{"type":"string","pattern":"^(repository|container|instance|configuration)(,repository|,container|,instance|,configuration)*$"},"targetVariants":{"type":"array","items":{"$ref":"#/components/schemas/TargetAndVariantNameRequired"},"description":"Target-variant pairs for lookup","maxItems":100}}},"TargetAndVariantNameRequired":{"type":"object","properties":{"targetName":{"type":"string","description":"Target name"},"targetType":{"type":"string","description":"Type of target","enum":["container","repository","instance","configuration"]},"targetVariantName":{"type":"string","description":"Variant name"}},"required":["targetName","targetVariantName"]},"STODataFrontendAllIssuesListResponseBody":{"$ref":"#/components/schemas/AllIssuesListResultV2"},"AllIssuesListResultV2":{"type":"object","properties":{"counts":{"$ref":"#/components/schemas/FrontendIssueCounts"},"issues":{"type":"array","items":{"$ref":"#/components/schemas/AllIssueSummaryV2"},"description":"Issues related to the latest scans of specified target and variant"},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["issues","pagination"]},"FrontendIssueCounts":{"type":"object","properties":{"active":{"type":"integer","description":"The total of active Issues","format":"int32"},"critical":{"type":"integer","description":"The number of Critical-severity Issues","format":"int32"},"high":{"type":"integer","description":"The number of High-severity Issues","format":"int32"},"ignored":{"type":"integer","description":"The number of Issues ignored due to Exemptions, and therefore not included in other counts","format":"int32"},"info":{"type":"integer","description":"The number of Informational Issues","format":"int32"},"low":{"type":"integer","description":"The number of Low-severity Issues","format":"int32"},"medium":{"type":"integer","description":"The number of Medium-severity Issues","format":"int32"}},"required":["active","critical","high","medium","low","info"]},"AllIssueSummaryV2":{"type":"object","properties":{"id":{"type":"string","description":"Resource identifier","pattern":"^[a-zA-Z0-9_-]{22}$"},"issueDescription":{"type":"string","description":"Issue Description"},"issueType":{"type":"string","description":"Issue Type"},"lastDetected":{"type":"integer","description":"Timestamp of the last detection of this issue","format":"int64"},"scanner":{"type":"string","description":"Scanner"},"severityCode":{"type":"string","description":"Severity code","enum":["Critical","High","Medium","Low","Info","Unassigned"]},"targetName":{"type":"string","description":"Name of the Scan Target"},"targetVariantName":{"type":"string","description":"Name of the Scan Target"},"title":{"type":"string","description":"Title of the Security Issue","maxLength":128}},"description":"All issue summary V2","required":["id","severityCode","issueDescription","issueType","scanner","targetName","targetVariantName"]},"Pagination":{"type":"object","properties":{"link":{"type":"string","description":"Link-based paging"},"page":{"type":"integer","description":"Page number (starting from 0)","format":"int64"},"pageSize":{"type":"integer","description":"Requested page size","format":"int64"},"totalItems":{"type":"integer","description":"Total results available","format":"int64"},"totalPages":{"type":"integer","description":"Total pages available","format":"int64"}},"required":["page","pageSize","totalPages","totalItems"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/all-issues/issues":{"post":{"description":"Provides a paginated list of issues for the provided target name and variant combinations","operationId":"STO Data Frontend#AllIssuesList","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AllIssuesListRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/STODataFrontendAllIssuesListResponseBody"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"summary":"List of issues for selected targets and variants","tags":["STO Data Frontend"]}}}}
```

## POST /api/v2/sto-data-frontend/artifact-scan-summary

> Returns counts of active Security Issues for one or more Pipeline Executions per scanner

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"ExecutionArtifactSummaryRequestBody":{"type":"object","properties":{"artifactFingerprints":{"type":"array","items":{"type":"string","maxLength":64},"description":"Artifact fingerprints for lookup","maxItems":100},"targetVariants":{"type":"array","items":{"$ref":"#/components/schemas/TargetAndVariantNameRequired"},"description":"Target-variant pairs for lookup","maxItems":100}}},"TargetAndVariantNameRequired":{"type":"object","properties":{"targetName":{"type":"string","description":"Target name"},"targetType":{"type":"string","description":"Type of target","enum":["container","repository","instance","configuration"]},"targetVariantName":{"type":"string","description":"Variant name"}},"required":["targetName","targetVariantName"]},"ScanIssueCountsWithExecutionInfo":{"type":"object","properties":{"artifactFingerprint":{"type":"string","description":"Fingerprint which identifies an artifact","maxLength":64},"executionId":{"type":"string","description":"Harness Execution ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"lastScanned":{"type":"integer","description":"Timestamp at which the target variant was last scanned","format":"int64"},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"scanners":{"type":"array","items":{"$ref":"#/components/schemas/MinimalIssueCountsPerScanner"},"description":"List of security issue counts grouped by scanner"},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"Name of the Scan Target"},"targetVariantId":{"type":"string","description":"Associated Target Variant ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the Scan Target"},"type":{"type":"string","description":"Scan Target's type","enum":["container","repository","instance","configuration"]}},"description":"The count of Security Issues, by severity code, for a given Harness Pipeline Execution along with this execution info","required":["scanners","targetId","targetVariantId","type","targetName","targetVariantName","executionId","pipelineId","lastScanned"]},"MinimalIssueCountsPerScanner":{"type":"object","properties":{"critical":{"type":"integer","description":"The number of Critical-severity Issues","format":"int32"},"high":{"type":"integer","description":"The number of High-severity Issues","format":"int32"},"ignored":{"type":"integer","description":"The number of Issues ignored due to Exemptions, and therefore not included in other counts","format":"int32"},"info":{"type":"integer","description":"The number of Informational Issues","format":"int32"},"low":{"type":"integer","description":"The number of Low-severity Issues","format":"int32"},"medium":{"type":"integer","description":"The number of Medium-severity Issues","format":"int32"},"scanner":{"type":"string","description":"Name of the scanner that produced these issues"}},"description":"The count of Security Issues, by severity code, for a given Harness Pipeline Execution","required":["critical","high","medium","low","info","scanner"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/artifact-scan-summary":{"post":{"description":"Returns counts of active Security Issues for one or more Pipeline Executions per scanner","operationId":"STO Data Frontend#ExecutionArtifactScanSummary","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionArtifactSummaryRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ScanIssueCountsWithExecutionInfo"},"type":"array"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["STO Data Frontend"]}}}}
```

## POST /api/v2/sto-data-frontend/artifact-summary

> Returns counts of active Security Issues for one or more Pipeline Executions

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"ExecutionArtifactSummaryRequestBody":{"type":"object","properties":{"artifactFingerprints":{"type":"array","items":{"type":"string","maxLength":64},"description":"Artifact fingerprints for lookup","maxItems":100},"targetVariants":{"type":"array","items":{"$ref":"#/components/schemas/TargetAndVariantNameRequired"},"description":"Target-variant pairs for lookup","maxItems":100}}},"TargetAndVariantNameRequired":{"type":"object","properties":{"targetName":{"type":"string","description":"Target name"},"targetType":{"type":"string","description":"Type of target","enum":["container","repository","instance","configuration"]},"targetVariantName":{"type":"string","description":"Variant name"}},"required":["targetName","targetVariantName"]},"IssueCountsWithExecutionInfo":{"type":"object","properties":{"artifactFingerprint":{"type":"string","description":"Fingerprint which identifies an artifact","maxLength":64},"critical":{"type":"integer","description":"The number of Critical-severity Issues","format":"int32"},"executionId":{"type":"string","description":"Harness Execution ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"high":{"type":"integer","description":"The number of High-severity Issues","format":"int32"},"ignored":{"type":"integer","description":"The number of Issues ignored due to Exemptions, and therefore not included in other counts","format":"int32"},"info":{"type":"integer","description":"The number of Informational Issues","format":"int32"},"lastScanned":{"type":"integer","description":"Timestamp at which the target variant was last scanned","format":"int64"},"low":{"type":"integer","description":"The number of Low-severity Issues","format":"int32"},"medium":{"type":"integer","description":"The number of Medium-severity Issues","format":"int32"},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"Name of the Scan Target"},"targetVariantId":{"type":"string","description":"Associated Target Variant ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the Scan Target"},"type":{"type":"string","description":"Scan Target's type","enum":["container","repository","instance","configuration"]}},"description":"The count of Security Issues, by severity code, for a given Harness Pipeline Execution along with this execution info","required":["critical","high","medium","low","info","targetId","targetVariantId","type","targetName","targetVariantName","executionId","pipelineId","lastScanned"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/artifact-summary":{"post":{"description":"Returns counts of active Security Issues for one or more Pipeline Executions","operationId":"STO Data Frontend#ExecutionArtifactSummary","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionArtifactSummaryRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/IssueCountsWithExecutionInfo"},"type":"array"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["STO Data Frontend"]}}}}
```

## GET /api/v2/sto-data-frontend/execution-summary/{executionId}

> Returns counts of active Security Issues for a specific Pipeline Executions

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"IssueCountsWithExecutionInfo":{"type":"object","properties":{"artifactFingerprint":{"type":"string","description":"Fingerprint which identifies an artifact","maxLength":64},"critical":{"type":"integer","description":"The number of Critical-severity Issues","format":"int32"},"executionId":{"type":"string","description":"Harness Execution ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"high":{"type":"integer","description":"The number of High-severity Issues","format":"int32"},"ignored":{"type":"integer","description":"The number of Issues ignored due to Exemptions, and therefore not included in other counts","format":"int32"},"info":{"type":"integer","description":"The number of Informational Issues","format":"int32"},"lastScanned":{"type":"integer","description":"Timestamp at which the target variant was last scanned","format":"int64"},"low":{"type":"integer","description":"The number of Low-severity Issues","format":"int32"},"medium":{"type":"integer","description":"The number of Medium-severity Issues","format":"int32"},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"Name of the Scan Target"},"targetVariantId":{"type":"string","description":"Associated Target Variant ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the Scan Target"},"type":{"type":"string","description":"Scan Target's type","enum":["container","repository","instance","configuration"]}},"description":"The count of Security Issues, by severity code, for a given Harness Pipeline Execution along with this execution info","required":["critical","high","medium","low","info","targetId","targetVariantId","type","targetName","targetVariantName","executionId","pipelineId","lastScanned"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/execution-summary/{executionId}":{"get":{"description":"Returns counts of active Security Issues for a specific Pipeline Executions","operationId":"STO Data Frontend#ExecutionSummary","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"description":"Harness pipeline execution ID","in":"path","name":"executionId","required":true,"schema":{"description":"Harness pipeline execution ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/IssueCountsWithExecutionInfo"},"type":"array"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["STO Data Frontend"]}}}}
```

## POST /api/v2/sto-data-frontend/issue-counts

> Returns counts of active Security Issues for one or more Pipeline Executions

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"STO Data Frontend","description":"Endpoints that power the other modules micro-frontend with STO data"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"jwt_header_Authorization":["sto_issue_view"]}],"components":{"securitySchemes":{"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"ExecutionIssueCountsRequestBody":{"type":"object","properties":{"targetVariants":{"type":"array","items":{"$ref":"#/components/schemas/TargetAndVariantName"},"description":"Target-variant pairs for lookup","maxItems":100}}},"TargetAndVariantName":{"type":"object","properties":{"targetName":{"type":"string","description":"Target name"},"targetType":{"type":"string","description":"Type of target","enum":["container","repository","instance","configuration"]},"targetVariantName":{"type":"string","description":"Variant name"}}},"IssueCountsWithExecutionInfo":{"type":"object","properties":{"artifactFingerprint":{"type":"string","description":"Fingerprint which identifies an artifact","maxLength":64},"critical":{"type":"integer","description":"The number of Critical-severity Issues","format":"int32"},"executionId":{"type":"string","description":"Harness Execution ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"high":{"type":"integer","description":"The number of High-severity Issues","format":"int32"},"ignored":{"type":"integer","description":"The number of Issues ignored due to Exemptions, and therefore not included in other counts","format":"int32"},"info":{"type":"integer","description":"The number of Informational Issues","format":"int32"},"lastScanned":{"type":"integer","description":"Timestamp at which the target variant was last scanned","format":"int64"},"low":{"type":"integer","description":"The number of Low-severity Issues","format":"int32"},"medium":{"type":"integer","description":"The number of Medium-severity Issues","format":"int32"},"pipelineId":{"type":"string","description":"Harness Pipeline ID","pattern":"^[A-Za-z_][A-Za-z0-9_]*$","maxLength":128},"targetId":{"type":"string","description":"Associated Target ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetName":{"type":"string","description":"Name of the Scan Target"},"targetVariantId":{"type":"string","description":"Associated Target Variant ID","pattern":"^[a-zA-Z0-9_-]{22}$"},"targetVariantName":{"type":"string","description":"Name of the Scan Target"},"type":{"type":"string","description":"Scan Target's type","enum":["container","repository","instance","configuration"]}},"description":"The count of Security Issues, by severity code, for a given Harness Pipeline Execution along with this execution info","required":["critical","high","medium","low","info","targetId","targetVariantId","type","targetName","targetVariantName","executionId","pipelineId","lastScanned"]},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/sto-data-frontend/issue-counts":{"post":{"description":"Returns counts of active Security Issues for one or more Pipeline Executions","operationId":"STO Data Frontend#ExecutionIssueCounts","parameters":[{"allowEmptyValue":true,"description":"Harness Account ID","in":"query","name":"accountId","required":true,"schema":{"description":"Harness Account ID","pattern":"^[a-zA-Z0-9_-]{22}$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Organization ID","in":"query","name":"orgId","required":true,"schema":{"description":"Harness Organization ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}},{"allowEmptyValue":true,"description":"Harness Project ID","in":"query","name":"projectId","required":true,"schema":{"description":"Harness Project ID","maxLength":128,"pattern":"^[A-Za-z_][A-Za-z0-9_]*$","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExecutionIssueCountsRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"additionalProperties":{"additionalProperties":{"additionalProperties":{"$ref":"#/components/schemas/IssueCountsWithExecutionInfo"},"type":"object"},"type":"object"},"type":"object"}}},"description":"OK response."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"BadRequest: Bad Request response."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Unauthorized: Unauthorized response."},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"Forbidden: Forbidden response."},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"NotFound: Not Found response."},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"TooManyRequests: Too Many Requests response."},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}},"description":"InternalServerError: Internal Server Error response."}},"tags":["STO Data Frontend"]}}}}
```
